import 'dart:convert';

import 'package:equatable/equatable.dart';

class PortalJson extends Equatable {
  PortalJson({
    required this.loginFrontendUrl,
    required this.baseUrl,
  });
  final String loginFrontendUrl;
  final String baseUrl;

  Map<String, dynamic> toMap() {
    return {
      'loginFrontendUrl': loginFrontendUrl,
      'baseUrl': baseUrl,
    };
  }

  factory PortalJson.fromMap(Map<String, dynamic> map) {
    return PortalJson(
        loginFrontendUrl: map['loginFrontendUrl'], baseUrl: map['baseUrl']);
  }

  String toJson() => json.encode(toMap());

  factory PortalJson.fromJson(String source) => PortalJson.fromMap(
        json.decode(source),
      );

  @override
  bool get stringify => true;

  @override
  List<Object?> get props => [loginFrontendUrl, baseUrl];
}
